@charset "utf-8";

/*

----------------------------
|**DATE*******|*TIME*|*ACT*|
|--------------------------|
|***WEEKDAYS**|**TARGET****|
----------------------------
*********NOTES**************

*/

h4 + .course-widget {
  margin-top: 1rem;
}

.course-widget {
  margin-bottom: 1rem;
  width: 100%;
}

.course-widget + .course-widget {
  margin-top: 1rem;
  border-top: 1px solid #787777;
  padding-top: 1rem;
}

.course-widget .wrapper {
  margin-bottom: .5rem;
  border: 2px solid #FFFFFF;
}

.course-widget + a {
  margin-bottom: 2rem;
}

.course-widget .info,
.course-widget .actions {
  display: flex;
  width: 100%;
}

.course-widget *:not(.button) {
  margin: 0;
  font-size: 16px;
  line-height: 1em;
  font-family: ;
}

/* Info Row */

.course-widget .info .date {
  width: 60%;
  background-color: #494847;
  font-weight: normal;
  color: #FFFFFF;
}

.course-widget .info .time-act {
  display: flex;
  width: 40%;
}

.course-widget .info .time {
  width: 50%;
  background-color: #DDDDDD;
  color: #7A7977;
}

.course-widget .info .act {
  width: 50%;
  background-color: #DDDDDD;
  color: #7A7977;
}

/* Action Row */

.course-widget .actions .weekdays {
  display: flex;
  flex-direction: row;
  width: 60%;
}

.course-widget .actions .weekdays > li {
  display: flex;
  flex-grow: 1;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.course-widget .actions .weekdays > li.Y {
  background-color: #999895;
  color: #FFFFFF;
  line-height: 20px;
}

.course-widget .actions .weekdays > li.N {
  background-color: #DDDDDD;
  position: relative;
  color: transparent;
}

.course-widget .actions .weekdays > li.N:before {
  content: 'X';
  display: inline-block;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 100%;
  color: #7A7977;
}

.course-widget .actions .target {
  display: flex;
  padding: 3px;
  width: 40%;
}

/* Notes */

.course-widget p.notes {
  margin-top: 1rem;
  color: #000000;
  font-size: 12px;
  line-height: 1.5em;
  font-weight: normal;
}

/* Padding */

.course-widget .actions .button,
.course-widget .actions .weekdays > li,
.course-widget .info .date,
.course-widget .info .time-act > div {
  padding: 10px;
}

/* Border Radius */

.course-widget .info {
  border-top-left-radius: 0;
  border-top-right-radius: 0;
  overflow: hidden;
}

.course-widget .actions {
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
  /* overflow: hidden; */
}

/* Border */

.course-widget .info {
  border-bottom: 2px solid #FFFFFF;
}

.course-widget .info > :nth-child(1),
.course-widget .info > :nth-child(2) > div:first-of-type,
.course-widget .actions .weekdays > li {
  border-right: 2px solid #FFFFFF;
}

/* Buttons */

.course-widget .actions .button {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  border-radius: 5px;
  border: ;
  background-color: #999895;
  color: #FFFFFF;
  padding: ;
}

.course-widget .actions .button:hover {
  background-color: #BEBDBD;
  color: #FFFFFF;
  border: ;
}

.course-widget .actions .button.register-now {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #039ca6;
  color: #FFFFFF;
  border: ;
}

.course-widget .actions .button.register-now:hover {
  background-color: #000000;
  color: #FFD700;
  border: ;
}

/****************************************
* Containing Divs
****************************************/

.course-widget-service + .course-widget-service {
  margin-bottom: 2rem;
}

.course-widget-packages > :last-child,
.course-widget-service > :last-child {
  margin-bottom: 0;
}

/****************************************
* Mobile
****************************************/

@media (max-width: 830px) {
  .course-widget .actions li,
  .course-widget .actions a.button {
    font-size: 12px;
  }
}

@media (max-width: 768px) {
  .course-widget .actions li,
  .course-widget .actions a.button {
    font-size: 14px;
  }
}

@media (max-width: 450px) {
  /* Layout */

  .course-widget .info,
  .course-widget .actions {
    flex-direction: column;
  }

  .course-widget .info .date,
  .course-widget .info .time,
  .course-widget .info .act,
  .course-widget .actions .weekdays,
  .course-widget .actions .target,
  .course-widget .info .time-act {
    width: 100%;
  }

  /* Border */

  .course-widget .actions .target {
    border-top: 2px solid #FFFFFF;
  }

  .course-widget .info > .date,
  .course-widget .actions .weekdays > li:last-of-type {
    border-right: none;
  }

  .course-widget .info > .date {
    border-bottom: 2px solid #FFFFFF;
  }
}

/****************************************
* Share sheet
****************************************/

.course-widget .share-sheet {
  position: relative;
}

.course-widget .share-sheet button {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-left: 1px !important;
  background-color: #039ca6;
  width: 40px;
  height: 100%;
  padding: 0;
}

.course-widget .share-sheet:hover button,
.course-widget .share-sheet button:focus,
.course-widget .share-sheet button:hover {
  background-color: #000000;
}

.course-widget .share-sheet button svg {
  fill: #ffffff;
}

.course-widget .share-sheet svg {
  width: 15px;
  height: 15px;
  fill: #000000;
}

.course-widget .share-sheet .menu {
  display: none;
  position: absolute;
  top: 100%;
  right: 0;
  z-index: 1;
  box-shadow: 3px 4px 10px rgba(0, 0, 0, .3);
  border-radius: 5px;
  background-color: #ffffff;
  overflow: hidden;
}

.course-widget .share-sheet .menu a {
  display: flex;
  justify-content: start;
  align-items: center;
  gap: .5rem;
  padding: 1rem;
  color: #000000;
}

.course-widget .share-sheet .menu a:hover {
  background-color: #efefef;
  color: #000000;
}

.course-widget .share-sheet .menu a:hover svg {
  fill: #000000;
}

.course-widget .share-sheet .menu a + a {
  border-top: 1px solid #efefef;
}

.course-widget .share-sheet:focus-within .menu,
.course-widget .share-sheet:focus .menu,
.course-widget .share-sheet:hover .menu {
  display: flex;
  flex-direction: column;
}